%define real_name URI
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:  URI - Uniform Resource Identifiers (absolute and relative)
Name:     perl-uri
Version:  1.34
Release:  4tr
Source0:  http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{real_name}-%{version}.tar.gz
URL:      http://search.cpan.org/~gaas/%{rel_name}-%{version}/URI.pm
Group: Trustix Contrib
License:  Artistic
Requires: perl >= %{perl_version}
BuildRequires: perl-devel >= 5.8.0-12bg
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
This module implements the URI class. Objects of this class represent
"Uniform Resource Identifier references" as specified in RFC 2396 (and
updated by RFC 2732).

A Uniform Resource Identifier is a compact string of characters for
identifying an abstract or physical resource.  A Uniform Resource
Identifier can be further classified either a Uniform Resource Locator
(URL) or a Uniform Resource Name (URN). The distinction between URL and
URN does not matter to the URI class interface. A "URI-reference" is a
URI that may have additional information attached in the form of a
fragment identifier.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=site PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
make test

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=%{buildroot}%{_prefix}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes README rfc2396.txt
%{siteperl}/URI.pm
%{siteperl}/URI
%{_mandir}/man3/URI*

%changelog
* Thu Dec  9 2004 Erlend Midttun <erlendbm at trustix dot org> 1.34-4tr
- Adopted into main.

* Thu Oct  7 2004 Nageswara Sastry <nageswara at comodo dot com>
- Upgraded to version 1.34 and Rebuild for TSL-2.2

* Mon Aug 23 2004 Nageswara Sastry <nageswara at comodo dot com>
- Upgraded to version 1.31

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Mon Oct 13 2003 Goetz Bock <bg at tawie dot org> 1.26-2bg
- rebuild, small specfile cleanup

* Sat Oct 4 2003 Michael Scheffler <duke at tawie dot org> 1.26-2ms
- Rebuild to match contrib-policy

* Sat Oct 4 2003 Michael Scheffler <duke at duke dot de> 1.26-1ms
- Initial build for TSL 2.0 
